<script setup lang="ts">
import { TabsTrigger as ShadcnTabsTrigger } from '@/components/core/tabs';
import type { UiTabsTriggerProps } from './types';

defineOptions({
  name: 'UiTabsTrigger',
});

const props = defineProps<UiTabsTriggerProps>();
</script>

<template>
  <ShadcnTabsTrigger :value="props.value" :disabled="props.disabled">
    <slot />
  </ShadcnTabsTrigger>
</template>
